from lib.definitions import app_version, app_title
import subprocess
import os

if os.getuid() == 0:
    subprocess.run(["docker", "build", "-t", f"{app_title.lower()}:{app_version}", "."])
    if input("docker-compose erstellen j=JA") == "j":
        userfolder = input("Pfad für Benutzerdaten /users:")
        backupfolder = input("Pfad für Backupdaten /backup:")
        settingsfolder = input("Pfad für Einstellungen /settings:")
        docker_compose_content = f'''
services:
    zeiterfassung:
        image: {app_title.lower()}:{app_version.lower()}
        restart: always
        ports:
            - 8090:8090
        environment:
            - PYTHONUNBUFFERED=1
        volumes:
            - {userfolder}:/users
            - {backupfolder}:/backup
            - {settingsfolder}:/settings'''

        with open('docker-compose.yml', 'w') as docker_compose:
            docker_compose.write(docker_compose_content)
else:
    print("Es werden Root-Rechte benötigt.")
